API referenceEndpoints

Create embedding

Requires the dedicated semantic-memory service credential. Generated from the production route registered in `internal/features/rag/inbound/http.go`.

POST/v1/embeddings

Requires the dedicated semantic-memory service credential. Generated from the production route registered in internal/features/rag/inbound/http.go.

Authorization

memoryToken
AuthorizationBearer <token>

Dedicated semantic-memory service credential.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{}'
{}